## python-ofxclient 2.0.2+git20161018

=== requirements.txt ===
argparse ==1.4.1; python_version < '2.7'
beautifulsoup4 ==4.4.1
keyring ==8.4.1
ofxhome ==0.3.3
ofxparse ==0.14
lxml ==3.5.0
keyrings.alt ==1.1.1
pycrypto ==2.6.1

## python-ofxclient 1.3.8

=== debian/changelog ===
python-ofxclient (1.3.8-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Tue, 25 Feb 2014 13:03:49 -0500

=== debian/control ===
Source: python-ofxclient
Section: python
Priority: optional
Maintainer: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , dh-python
  , python-all (>= 2.7~)
  , python-setuptools
  , python-argparse
  , python-beautifulsoup (>= 3.0)
  , python-keyring
  , python-ofxparse (>= 0.8)
Standards-Version: 3.9.5
Homepage: https://sites.google.com/site/ofxparse/
X-Python-Version: >= 2.6

Package: python-ofxclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: OFX client for dowloading transactions from banks
 Simple ofxclient command line utility and OFX client libraries for development.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=ofxclient
export PYBUILD_DISABLE=test


%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
     https://pypi.python.org/packages/source/o/ofxclient/ofxclient-(.*)\.(?:tar\.gz|zip|tar\.bz2)

## python-ofxclient 2.0.2

=== debian/changelog ===
python-ofxclient (2.0.2-1) unstable; urgency=medium

  * New upstream version.
  * Orphan the package.

 -- Clint Adams <clint@debian.org>  Mon, 27 Jun 2016 01:08:48 +0200

## python-ofxclient 2.0.2+git20161018

=== debian/changelog ===
python-ofxclient (2.0.2+git20161018-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 19 Oct 2016 17:44:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-ofxclient
 Section: python
 Priority: optional
-Maintainer: Clint Adams <clint@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9)
   , dh-python
   , python-all (>= 2.7~)
@@ -10,7 +10,7 @@
   , python-beautifulsoup (>= 3.0)
   , python-keyring
   , python-ofxparse (>= 0.8)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://sites.google.com/site/ofxparse/
 X-Python-Version: >= 2.6

## python-ofxclient 2.0.3+git20180108

=== debian/changelog ===
python-ofxclient (2.0.3+git20180108-4) unstable; urgency=medium

  * Fix usage with newer versions of python-configparser (Closes: #902517)
  * Adopt package and move it into the Debian Python Modules Team
  * Add autopkgtests

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 10 Feb 2019 15:45:59 -0200

python-ofxclient (2.0.3+git20180108-3) unstable; urgency=medium

  * Drop -N from dh calls, fix FTBFS.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 01 May 2018 09:09:52 +0200

python-ofxclient (2.0.3+git20180108-2) unstable; urgency=medium

  * Actually disable the Python 3 binary package.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Apr 2018 17:12:47 +0200

python-ofxclient (2.0.3+git20180108-1) unstable; urgency=medium

  * New upstream snapshot.
  * Prepare packaging for Python 3, temporarily disabled since
    build dependencies not available yet.
  * Update dependencies.
  * Enable tests.
  * Fix the homepage.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Apr 2018 16:40:23 +0200

=== debian/control ===
Source: python-ofxclient
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 9)
  , dh-python
  , python-all (>= 2.7~)
  , python3-all
  , python-setuptools
  , python3-setuptools
  , python-argparse
  , python-lxml
  , python3-lxml
  , python-nose
  , python3-nose
  , python-mock
  , python3-mock
  , python-bs4
  , python3-bs4
  , python-keyring
  , python3-keyring
  , python-keyrings.alt
  , python3-keyrings.alt
  , python-ofxparse (>= 0.8)
  , python3-ofxparse (>= 0.8)
  , python-ofxhome
#  , python3-ofxhome
Standards-Version: 3.9.8
Homepage: https://github.com/captin411/ofxclient
X-Python-Version: >= 2.7
Vcs-Git: https://salsa.debian.org/python-team/modules/python-ofxclient.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ofxclient

Package: python-ofxclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: OFX client for dowloading transactions from banks (Python 2.7)
 Simple ofxclient command line utility and OFX client libraries for development.
 .
 This package is for Python 2.7.

# Package: python3-ofxclient
# Architecture: all
# Depends: ${python3:Depends}, ${misc:Depends}
# Description: OFX client for dowloading transactions from banks (Python 3)
#  Simple ofxclient command line utility and OFX client libraries for development.
#  .
#  This package is for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=ofxclient
#export PYBUILD_DISABLE=test
export PYBUILD_DISABLE_python3=1
export PYBUILD_TEST_ARGS=-v $(wildcard tests/*.py)


%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	env -u XDG_RUNTIME_DIR -u DBUS_SESSION_BUS_ADDRESS dh_auto_test

=== debian/tests/control ===
# FIXME: also run under python3 and a python3 package is provided
Test-Command: cd tests && python -m unittest discover -s . -p '*.py' -v
Depends: @, python-keyrings.alt
Features: test-name=testsuite
Restrictions: allow-stderr

## python-ofxclient 2.0.4

=== requirements.txt ===
argparse==1.4.1; python_version < '2.7'
beautifulsoup4==4.4.1
keyring==8.4.1
ofxhome==0.3.3
ofxparse==0.14
lxml>=3.5.0
keyrings.alt==1.1.1
pycrypto==2.6.1

=== debian/changelog ===
python-ofxclient (2.0.4-7) unstable; urgency=medium

  * Team Upload
  * Remove extraneous dependency on python3-mock
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Apr 2024 18:27:34 +0200

python-ofxclient (2.0.4-6) unstable; urgency=medium

  * Convert autopkgtest to pybuild-autopkgtest
  * Bump Standards-Version to 4.6.2; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 11 Jan 2023 18:12:28 -0300

python-ofxclient (2.0.4-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-ofxparse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 12:02:29 +0100

python-ofxclient (2.0.4-4) unstable; urgency=medium

  * Run tests with pytest instead of nose (Closes: #1018545)
  * Bump Standards-Version: to 4.6.1; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 30 Aug 2022 19:56:30 -0300

python-ofxclient (2.0.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

  [ Antonio Terceiro ]
  * Add patch to fix test suite run against python3.10 (Closes: #1002209)
  * Bump Standards-Version to 4.6.0, no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 29 Dec 2021 10:31:21 -0300

python-ofxclient (2.0.4-2) unstable; urgency=medium

  [Ondřej Nový]
  * d/copyright: Use https protocol in Format field.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 04 Sep 2019 19:16:16 -0300

python-ofxclient (2.0.4-1) unstable; urgency=medium

  * debian/watch: point at the github repository
  * New upstream version 2.0.4
  * Add support for python3; drop python2 (Closes: #937965)
  * Bump Standards-Version to 4.4.0; no changes needed
  * autopkgtest: switch to python3
  * Bump debhelper compatibility level to 12
  * Add Rules-Requires-Root: no

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 30 Aug 2019 15:21:10 -0300

=== debian/control ===
Source: python-ofxclient
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper-compat (= 13)
  , dh-sequence-python3
  , python3-all
  , python3-setuptools
  , python3-lxml
  , python3-pytest
  , python3-bs4
  , python3-keyring
  , python3-keyrings.alt
  , python3-ofxparse
  , python3-ofxhome
Standards-Version: 4.6.2
Homepage: https://github.com/captin411/ofxclient
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ofxclient.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ofxclient
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-ofxclient
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Breaks: python-ofxclient
Replaces: python-ofxclient
Description: OFX client for dowloading transactions from banks
 Simple ofxclient command line utility and OFX client libraries for development.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=ofxclient
export PYBUILD_TEST_ARGS=-v $(wildcard tests/*.py)
export XDG_RUNTIME_DIR =
export DBUS_SESSION_BUS_ADDRESS =

%:
	dh $@ --buildsystem=pybuild
